public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrqlite/
Date: Mon,  2 May 2016 07:36:07 +0000 (UTC)	[thread overview]
Message-ID: <1462174555.6bd2a4d9ba6b29eefe87203ea6961e42942146fa.zmedico@gentoo> (raw)

commit:     6bd2a4d9ba6b29eefe87203ea6961e42942146fa
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon May  2 07:35:10 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon May  2 07:35:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bd2a4d9

dev-python/pyrqlite: new package

Package-Manager: portage-2.2.28

 dev-python/pyrqlite/Manifest             |  1 +
 dev-python/pyrqlite/metadata.xml         | 10 ++++++++
 dev-python/pyrqlite/pyrqlite-2.0.ebuild  | 39 ++++++++++++++++++++++++++++++++
 dev-python/pyrqlite/pyrqlite-9999.ebuild | 38 +++++++++++++++++++++++++++++++
 4 files changed, 88 insertions(+)

diff --git a/dev-python/pyrqlite/Manifest b/dev-python/pyrqlite/Manifest
new file mode 100644
index 0000000..a39876d
--- /dev/null
+++ b/dev-python/pyrqlite/Manifest
@@ -0,0 +1 @@
+DIST pyrqlite-2.0.tar.gz 7224 SHA256 7d924a66e05087f5a0d768c8727d271ab0005d7f312036000ffdf11378d5fd32 SHA512 9d284161e492683955000dd3e3f0593b79e69ba5eb087bee4d3ffc1e4be9de1c362212936b10e1781538eacd838e6ed22adfc82e8cc0dd00e1d3318a4dc14720 WHIRLPOOL 1ef58c2abda36758cf4379bbf8064068004a5907af373303877a84181db681e74ec3dd3c8726e21d261e9e0095219393d493353c5bd574cc4a1a24d923e9c7e4

diff --git a/dev-python/pyrqlite/metadata.xml b/dev-python/pyrqlite/metadata.xml
new file mode 100644
index 0000000..7a0a25f
--- /dev/null
+++ b/dev-python/pyrqlite/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>zmedico@gentoo.org</email>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">rqlite/pyrqlite</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pyrqlite/pyrqlite-2.0.ebuild b/dev-python/pyrqlite/pyrqlite-2.0.ebuild
new file mode 100644
index 0000000..3f58fe1
--- /dev/null
+++ b/dev-python/pyrqlite/pyrqlite-2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+fi
+
+DESCRIPTION="Python client for rqlite"
+EGIT_REPO_URI="https://github.com/rqlite/pyrqlite.git"
+HOMEPAGE="${EGIT_REPO_URI%.git}/"
+SRC_URI="${EGIT_REPO_URI%.git}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-cov[${PYTHON_USEDEP}]
+		dev-python/pylint[${PYTHON_USEDEP}]
+	)"
+
+src_prepare() {
+	sed -e "s:^__version__ = .*:__version__ = '${PV}':" -i src/${PN}/constants.py || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	esetup.py test || die "tests failed"
+	esetup.py lint -f text -E || die "pylint failed"
+}

diff --git a/dev-python/pyrqlite/pyrqlite-9999.ebuild b/dev-python/pyrqlite/pyrqlite-9999.ebuild
new file mode 100644
index 0000000..cef3352
--- /dev/null
+++ b/dev-python/pyrqlite/pyrqlite-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+fi
+
+DESCRIPTION="Python client for rqlite"
+EGIT_REPO_URI="https://github.com/rqlite/pyrqlite.git"
+HOMEPAGE="${EGIT_REPO_URI%.git}/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-cov[${PYTHON_USEDEP}]
+		dev-python/pylint[${PYTHON_USEDEP}]
+	)"
+
+src_prepare() {
+	sed -e "s:^__version__ = .*:__version__ = '${PV}':" -i src/${PN}/constants.py || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	esetup.py test || die "tests failed"
+	esetup.py lint -f text -E || die "pylint failed"
+}


             reply	other threads:[~2016-05-02  7:36 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-02  7:36 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-04-13  9:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrqlite/ Zac Medico
2018-06-24 17:24 Pacho Ramos
2020-02-05 19:53 Michał Górny
2020-04-25 17:07 Michał Górny
2020-04-25 17:07 Michał Górny
2020-04-26 12:51 Michał Górny
2020-08-16  9:57 Michał Górny
2020-10-15  1:44 Zac Medico
2021-02-28 14:58 Zac Medico
2021-02-28 20:08 Zac Medico
2021-02-28 20:15 Zac Medico
2021-10-15  4:17 Zac Medico
2021-10-15  5:39 Arthur Zamarin
2021-10-25  0:14 Zac Medico
2021-12-24  1:18 Zac Medico
2022-01-01  1:23 Zac Medico
2022-02-05  0:53 Zac Medico
2023-02-18  6:11 Sam James
2023-05-08 19:31 Arthur Zamarin
2023-06-03 18:06 Michał Górny
2023-06-03 18:06 Michał Górny
2023-07-24 11:33 Michał Górny
2024-01-03 14:02 Michał Górny
2024-01-03 17:37 Zac Medico
2024-01-05 20:19 Michał Górny
2024-01-22  2:13 Zac Medico
2024-01-22  2:31 Zac Medico
2024-02-26 14:25 Michał Górny
2024-05-18  8:09 Michał Górny
2024-05-26  4:18 Zac Medico
2024-10-03  0:27 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462174555.6bd2a4d9ba6b29eefe87203ea6961e42942146fa.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox